/*
                Sun Public License Notice

The contents of this file are subject to the Sun Public License
Version 1.0 (the "License"). You may not use this file except in
compliance with the License. A copy of the License is available at
http://www.sun.com/

The Original Code is NetBeans. The Initial Developer of the Original
Code is Sun Microsystems, Inc. Portions Copyright 1997-2004 Sun
Microsystems, Inc. All Rights Reserved.
*/
package org.netbeans.modules.snipe;

import org.openide.loaders.*;
import org.openide.cookies.*;
import org.openide.windows.*;

/**
 *
 * @author  Rich Unger
 */
public class SnipeOpenSupport extends OpenSupport implements OpenCookie, CloseCookie {

    public SnipeOpenSupport(MultiDataObject.Entry entry) {
        super(entry, new Environment(entry.getDataObject()));
    }

    protected CloneableTopComponent createCloneableTopComponent() {
        return new SnipeTopComponent((SnipeDataObject)entry.getDataObject());
    }
    
    private static class Environment extends OpenSupport.Env {

        private static final long serialVersionUID = -201357885497625243L;
        
        public Environment(DataObject dataObject) {
            super(dataObject);
        }
        
        public CloneableOpenSupport findCloneableOpenSupport() {
            return (CloneableOpenSupport)getDataObject().getCookie(OpenCookie.class);
        }
    }
}
