/*
                Sun Public License Notice

The contents of this file are subject to the Sun Public License
Version 1.0 (the "License"). You may not use this file except in
compliance with the License. A copy of the License is available at
http://www.sun.com/

The Original Code is NetBeans. The Initial Developer of the Original
Code is Sun Microsystems, Inc. Portions Copyright 1997-2004 Sun
Microsystems, Inc. All Rights Reserved.
*/
package org.netbeans.modules.snipe;

import java.io.IOException;

import org.openide.cookies.SaveCookie;
import org.openide.util.NbBundle;

public class SnipeSaveCookie implements SaveCookie {
    SnipeDataObject m_snipe;
    
    public SnipeSaveCookie(SnipeDataObject snipe) {
        m_snipe = snipe;
    }
    
    public void save() throws IOException {
        // check error conditions
        if( m_snipe == null ) {
            throw new IOException("No snipe to save!");
        } 
        else if( !m_snipe.isModified() ) {
            return;
        }
        
        // save your snipe here

        m_snipe.setModified(false);
    }
}
