package com.tomwheeler.stocktrader.api;

/**
 * <p>
 * This interface represents a single share of stock in a corporation.
 * </p> 
 * 
 * @author Tom Wheeler
 */
public interface Stock {
    
    /** @return the ticker symbol for this stock */
    public String getSymbol();
    
    /** @return the corporate name for this stock */
    public String getName();
    
    /** @return the industry to which this stock belongs */
    public Industry getIndustry();

}
