package com.tomwheeler.stocktrader.api.events;

/**
 * <p>
 * This class provides the basic functions of change events for the stock
 * trader game.  
 * </p> 
 * 
 * @author Tom Wheeler
 */
public abstract class AbstractChangeEvent {

    private String changeDescription;
    
    /** creates a new event with the specified description of the change */
    public AbstractChangeEvent(String changeDescription) {
        this.changeDescription = changeDescription;
    }
    
    /** @return the description associated with this change */ 
    public String getDescription() {
        return changeDescription;
    }
}
