package com.tomwheeler.stocktrader.api.events;

import java.util.EventListener;

/**
 * <p>
 * This interface allows the implementer to be notified upon changes 
 * to a stock's price.
 * </p> 
 * 
 * @author Tom Wheeler
 */
public interface StockPriceListener extends EventListener {

    /** called whenever a new price is listed for a stock */
    public void stockPriceUpdated(StockPriceChangeEvent event);
    
}
